from utils.singleton import Singleton

@Singleton
class GlobalModel:
    def __init__(self):
        self._tenant_token = ""

    @property
    def tenant_token(self):
        return self._tenant_token
    
    @tenant_token.setter
    def tenant_token(self, value):
        self._tenant_token = value